#ifndef __MTU_H__
#define __MTU_H__

#ifndef BYTE
typedef unsigned char BYTE;
#endif

#ifndef WORD
typedef unsigned short WORD;
#endif

#ifndef DWORD
typedef unsigned long DWORD;
#endif

// Ɩx
#define MAX_LED				(64)	// LEDƖől
#define MIN_LED				(0)		// LEDƖŏl
#define DEFALUT_LED			(0)		// LEDƖl
// Gain
#define MAX_GAIN			(240)	// GAINől
#define MIN_GAIN			(0)		// GAINŏl
#define DEFAULT_GAIN		(120)	// GAINl
// Io
#define MAX_EXPOSURE		(1)		// Ioől
#define MIN_EXPOSURE		(-13)	// Ioŏl
#define DEFAULT_EXPOSURE	(-5)	// Iol


extern "C" __declspec(dllexport) int __stdcall MtuOpen(int CameraId, int width, int height, double fps, char *type);
extern "C" __declspec(dllexport) void __stdcall MtuClose(int CameraId);
extern "C" __declspec(dllexport) int __stdcall MtuGetBufferSize(int CameraId);
extern "C" __declspec(dllexport) int __stdcall MtuGetDevice(char *devicename, int size);
extern "C" __declspec(dllexport) bool __stdcall MtuGetFormat(int CameraId, char *format, int size);
extern "C" __declspec(dllexport) bool __stdcall MtuReceiveImage(int CameraId, unsigned char *data);

extern "C" __declspec(dllexport) bool __stdcall MtuSetLed(int CameraId,int level);
extern "C" __declspec(dllexport) bool __stdcall MtuGetLed(int CameraId, int *level);
extern "C" __declspec(dllexport) bool __stdcall MtuSetGain(int CameraId, int level);
extern "C" __declspec(dllexport) bool __stdcall MtuGetGain(int CameraId, int *level);
extern "C" __declspec(dllexport) bool __stdcall MtuSetExposure(int CameraId, int level);
extern "C" __declspec(dllexport) bool __stdcall MtuGetExposure(int CameraId, int *level);
extern "C" __declspec(dllexport) bool __stdcall MtuSetCameraNo(int CameraId, int no);
extern "C" __declspec(dllexport) bool __stdcall MtuGetCameraNo(int CameraId, int *no);
extern "C" __declspec(dllexport) bool __stdcall MtuSetColorBar(int CameraId, int onoff);
extern "C" __declspec(dllexport) bool __stdcall MtuGetColorBar(int CameraId, int *onoff);

extern "C" __declspec(dllexport) bool __stdcall MtuCameraRecognition(int CameraId, BYTE *Camera);
extern "C" __declspec(dllexport) bool __stdcall MtuUSBMode(int CameraId, BYTE *usb);
extern "C" __declspec(dllexport) bool __stdcall MtuGPIODirection(int CameraId, BYTE Dir);
extern "C" __declspec(dllexport) bool __stdcall MtuGPIOOutput(int CameraId, BYTE Output);
extern "C" __declspec(dllexport) bool __stdcall MtuGPIOInput(int CameraId, BYTE *Input);
extern "C" __declspec(dllexport) bool __stdcall MtuTemperature(int CameraId, int CameraNo, int *Temp);
extern "C" __declspec(dllexport) bool __stdcall MtuSetDigitalGain(int CameraId, WORD greenR, WORD red, WORD blue , WORD greenB);
extern "C" __declspec(dllexport) bool __stdcall MtuGetDigitalGain(int CameraId, WORD *greenR, WORD *red, WORD *blue, WORD *greenB);
extern "C" __declspec(dllexport) bool __stdcall MtuSetShutter(int CameraId, WORD data);
extern "C" __declspec(dllexport) bool __stdcall MtuGetShutter(int CameraId, WORD *data);
extern "C" __declspec(dllexport) bool __stdcall MtuGetSerialNo(int CameraId, DWORD *SerialNo);

extern "C" __declspec(dllexport) bool __stdcall MtuVersion(int CameraId, char *version, int size);
extern "C" __declspec(dllexport) bool __stdcall MtuDLLVersion(char *version, int size);

#endif /* __MTU_H__ */

